Audits
List audit evidence
Returns a paginated list of evidence for an audit.
Rate limit: 250 requests / minute.
GET
/
audits
/
{auditId}
/
evidence
TypeScript
import { Vanta } from "vanta-auditor-api-sdk";
const vanta = new Vanta({
bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
});
async function run() {
const result = await vanta.audits.listEvidence({
auditId: "<id>",
});
console.log(result);
}
run();package hello.world;
import com.vanta.vanta_auditor_api.Vanta;
import com.vanta.vanta_auditor_api.models.operations.ListAuditEvidenceResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Vanta sdk = Vanta.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
ListAuditEvidenceResponse res = sdk.audits().listEvidence()
.auditId("<id>")
.pageSize(10)
.call();
if (res.paginatedResponseEvidence().isPresent()) {
System.out.println(res.paginatedResponseEvidence().get());
}
}
}curl --request GET \
--url https://api.vanta.com/v1/audits/{auditId}/evidence \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/audits/{auditId}/evidence"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/audits/{auditId}/evidence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": {
"data": [
{
"id": "65fc81a3359c8508c9af880f",
"externalId": "cG9saWN5OmFjY2Vzcy1jb250cm9sLXBvbGljeQo=",
"status": "Ready for audit",
"statusUpdatedDate": "2024-03-07T21:25:56.000Z",
"name": "Access Control Policy",
"deletionDate": "2024-03-07T21:25:56.000Z",
"creationDate": "2024-03-07T21:25:56.000Z",
"testStatus": "The test was passing during this period",
"evidenceType": "Policy",
"evidenceId": "access-control-policy",
"relatedControls": [
{
"name": "CRY-104",
"sectionNames": [
"Article 13"
]
}
],
"description": "example description of test"
}
],
"pageInfo": {
"hasNextPage": false,
"hasPreviousPage": false,
"startCursor": "YXJyYXljb25uZWN0aW9uOjA=",
"endCursor": "YXJyYXljb25uZWN0aW9uOjE="
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Controls the maximum number of items returned in one response from the API.
Required range:
1 <= x <= 100A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.
Includes all audit evidence that have changed since changedSinceDate.
Response
200 - application/json
Ok
Show child attributes
Show child attributes
Was this page helpful?
Previous
Create a custom evidence request for an auditCreate a custom evidence request for an audit.
Rate limit: 10 requests / minute.
Next
⌘I
TypeScript
import { Vanta } from "vanta-auditor-api-sdk";
const vanta = new Vanta({
bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
});
async function run() {
const result = await vanta.audits.listEvidence({
auditId: "<id>",
});
console.log(result);
}
run();package hello.world;
import com.vanta.vanta_auditor_api.Vanta;
import com.vanta.vanta_auditor_api.models.operations.ListAuditEvidenceResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Vanta sdk = Vanta.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
ListAuditEvidenceResponse res = sdk.audits().listEvidence()
.auditId("<id>")
.pageSize(10)
.call();
if (res.paginatedResponseEvidence().isPresent()) {
System.out.println(res.paginatedResponseEvidence().get());
}
}
}